Batch Add (Token Auth)

View as Markdown
  • POST
  • /unit-tests
  • /sessions
  • /:sessionId
  • /cases
  • /batch

Add multiple test cases in batch using suite token authentication

Request

URL PARAMETERS
sessionIdrequiredstring
The ID of the test session

Example: "r4nBYXVq"

BODY PARAMETERS
casesrequiredAddTestCaseRequest[]

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
casesShortTestCaseView[]

Last modified on Apr 22, 2026

Request example

curl -X POST "https://api.buddy.works/unit-tests/sessions/:sessionId/cases/batch" \
  -H "Authorization: Bearer <YOUR-TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
  "cases": [
    {
      "name": "testUserLogin",
      "test_group_name": "com.example.tests.IntegrationTests",
      "classname": "com.example.tests.IntegrationTests",
      "status": "PASSED",
      "time": 2.5,
      "data": "<testcase name=\"testUserLogin\" classname=\"com.example.tests.IntegrationTests\" time=\"2.5\"/>"
    },
    {
      "name": "testUserLogout",
      "test_group_name": "com.example.tests.IntegrationTests",
      "classname": "com.example.tests.IntegrationTests",
      "status": "PASSED",
      "time": 1.2,
      "data": "<testcase name=\"testUserLogout\" classname=\"com.example.tests.IntegrationTests\" time=\"1.2\"/>"
    },
    {
      "name": "testPasswordReset",
      "test_group_name": "com.example.tests.IntegrationTests",
      "classname": "com.example.tests.IntegrationTests",
      "status": "SKIPPED",
      "time": 0,
      "data": "<testcase name=\"testPasswordReset\" classname=\"com.example.tests.IntegrationTests\" time=\"0.0\"><skipped/></testcase>"
    }
  ]
}'